Retry one renewal workflow operation.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/entitlement-operations/renewal-operations/example/retry"), Content = new StringContent("{ \"StartsAtUtc\": \"2026-04-15T12:00:00Z\", \"IdempotencyKey\": \"example\", \"SourceType\": 0, \"SourceData\": \"example\", \"ExternalReference\": \"example\", \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entitlement-operations/renewal-operations/example/retry';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"StartsAtUtc":"2026-04-15T12:00:00Z","IdempotencyKey":"example","SourceType":0,"SourceData":"example","ExternalReference":"example","RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/entitlement-operations/renewal-operations/example/retry \ --header 'Content-Type: application/json' \ --data '{ "StartsAtUtc": "2026-04-15T12:00:00Z", "IdempotencyKey": "example", "SourceType": 0, "SourceData": "example", "ExternalReference": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Retry one renewal workflow operation by executing the renewal command.
object
Retry one renewal workflow operation by executing the renewal command.
object
Retry one renewal workflow operation by executing the renewal command.
object
Responses
Section titled “Responses”OK
object
Runtime renewal operation detail for scheduled, manual, retried, or cancelled renewal work.
object
Stable renewal operation identifier.
Entitlement targeted by the renewal operation.
Human-readable entitlement number for support and external references.
Plan associated with the targeted entitlement.
Display name of the associated plan.
Entitlement model that owns the targeted entitlement.
Display name of the owning entitlement model.
Entitlement period that caused or receives the renewal operation when available.
Renewal policy snapshot used by the operation when available.
Business key of the renewal policy when available.
UTC instant when the renewal operation is due.
UTC instant when the operation completed successfully.
User id that completed the operation when it was user-driven.
Optional external payment, subscription, or integration reference.
Optional source metadata captured with the operation.
Structured failure code from the last failed attempt.
Human-readable failure message from the last failed attempt.
UTC instant when the operation was cancelled.
User id that cancelled the operation when available.
Optional cancellation reason.
Ledger entries produced by or related to the operation.
Compact ledger row for operational lists, detail drawers, and workflow references.
object
Compact customer-owned entity instance reference.
object
Resolved user or actor display reference for entitlement ledger audit rows.
object
User identifier or stable external actor identifier stored on the ledger row.
Display name resolved from the workspace security cache when available.
User email when available.
Avatar initials.
Avatar background color.
Avatar text color.
Whether the resolved workspace user has been deleted.
Whether the stored actor identifier no longer resolves to a workspace user.
Optimistic concurrency token for renewal operation mutations.
object
object
object
object
Example
{ "Data": { "OperationKind": 0, "Status": 0, "SourceType": 0, "RelatedLedgerEntries": [ { "Operation": 0, "EntitlementStatus": 0, "EntitlementEffectiveState": 0, "SourceType": 0, "Actor": { "UserType": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Runtime renewal operation detail for scheduled, manual, retried, or cancelled renewal work.
object
Stable renewal operation identifier.
Entitlement targeted by the renewal operation.
Human-readable entitlement number for support and external references.
Plan associated with the targeted entitlement.
Display name of the associated plan.
Entitlement model that owns the targeted entitlement.
Display name of the owning entitlement model.
Entitlement period that caused or receives the renewal operation when available.
Renewal policy snapshot used by the operation when available.
Business key of the renewal policy when available.
UTC instant when the renewal operation is due.
UTC instant when the operation completed successfully.
User id that completed the operation when it was user-driven.
Optional external payment, subscription, or integration reference.
Optional source metadata captured with the operation.
Structured failure code from the last failed attempt.
Human-readable failure message from the last failed attempt.
UTC instant when the operation was cancelled.
User id that cancelled the operation when available.
Optional cancellation reason.
Ledger entries produced by or related to the operation.
Compact ledger row for operational lists, detail drawers, and workflow references.
object
Compact customer-owned entity instance reference.
object
Resolved user or actor display reference for entitlement ledger audit rows.
object
User identifier or stable external actor identifier stored on the ledger row.
Display name resolved from the workspace security cache when available.
User email when available.
Avatar initials.
Avatar background color.
Avatar text color.
Whether the resolved workspace user has been deleted.
Whether the stored actor identifier no longer resolves to a workspace user.
Optimistic concurrency token for renewal operation mutations.
object
object
object
object
Example
{ "Data": { "OperationKind": 0, "Status": 0, "SourceType": 0, "RelatedLedgerEntries": [ { "Operation": 0, "EntitlementStatus": 0, "EntitlementEffectiveState": 0, "SourceType": 0, "Actor": { "UserType": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Runtime renewal operation detail for scheduled, manual, retried, or cancelled renewal work.
object
Stable renewal operation identifier.
Entitlement targeted by the renewal operation.
Human-readable entitlement number for support and external references.
Plan associated with the targeted entitlement.
Display name of the associated plan.
Entitlement model that owns the targeted entitlement.
Display name of the owning entitlement model.
Entitlement period that caused or receives the renewal operation when available.
Renewal policy snapshot used by the operation when available.
Business key of the renewal policy when available.
UTC instant when the renewal operation is due.
UTC instant when the operation completed successfully.
User id that completed the operation when it was user-driven.
Optional external payment, subscription, or integration reference.
Optional source metadata captured with the operation.
Structured failure code from the last failed attempt.
Human-readable failure message from the last failed attempt.
UTC instant when the operation was cancelled.
User id that cancelled the operation when available.
Optional cancellation reason.
Ledger entries produced by or related to the operation.
Compact ledger row for operational lists, detail drawers, and workflow references.
object
Compact customer-owned entity instance reference.
object
Resolved user or actor display reference for entitlement ledger audit rows.
object
User identifier or stable external actor identifier stored on the ledger row.
Display name resolved from the workspace security cache when available.
User email when available.
Avatar initials.
Avatar background color.
Avatar text color.
Whether the resolved workspace user has been deleted.
Whether the stored actor identifier no longer resolves to a workspace user.
Optimistic concurrency token for renewal operation mutations.
object
object
object
object
Example
{ "Data": { "OperationKind": 0, "Status": 0, "SourceType": 0, "RelatedLedgerEntries": [ { "Operation": 0, "EntitlementStatus": 0, "EntitlementEffectiveState": 0, "SourceType": 0, "Actor": { "UserType": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Runtime renewal operation detail for scheduled, manual, retried, or cancelled renewal work.
object
Stable renewal operation identifier.
Entitlement targeted by the renewal operation.
Human-readable entitlement number for support and external references.
Plan associated with the targeted entitlement.
Display name of the associated plan.
Entitlement model that owns the targeted entitlement.
Display name of the owning entitlement model.
Entitlement period that caused or receives the renewal operation when available.
Renewal policy snapshot used by the operation when available.
Business key of the renewal policy when available.
UTC instant when the renewal operation is due.
UTC instant when the operation completed successfully.
User id that completed the operation when it was user-driven.
Optional external payment, subscription, or integration reference.
Optional source metadata captured with the operation.
Structured failure code from the last failed attempt.
Human-readable failure message from the last failed attempt.
UTC instant when the operation was cancelled.
User id that cancelled the operation when available.
Optional cancellation reason.
Ledger entries produced by or related to the operation.
Compact ledger row for operational lists, detail drawers, and workflow references.
object
Compact customer-owned entity instance reference.
object
Resolved user or actor display reference for entitlement ledger audit rows.
object
User identifier or stable external actor identifier stored on the ledger row.
Display name resolved from the workspace security cache when available.
User email when available.
Avatar initials.
Avatar background color.
Avatar text color.
Whether the resolved workspace user has been deleted.
Whether the stored actor identifier no longer resolves to a workspace user.
Optimistic concurrency token for renewal operation mutations.
object
object
object
object
Example
{ "Data": { "OperationKind": 0, "Status": 0, "SourceType": 0, "RelatedLedgerEntries": [ { "Operation": 0, "EntitlementStatus": 0, "EntitlementEffectiveState": 0, "SourceType": 0, "Actor": { "UserType": 0 } } ] }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}